Tasuku
ReferenceAPI referenceConfiguration

Test and save an organization S3-compatible storage override

PUT/organizations/{organization_id}/artifact-storage

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/organizations/string/artifact-storage" \  -H "Content-Type: application/json" \  -d '{    "endpoint": "http://example.com",    "public_endpoint": "http://example.com",    "region": "string",    "bucket": "string",    "prefix": "string",    "force_path_style": true,    "access_key_id": "string",    "secret_access_key": "string"  }'
{  "data": {    "configured": true,    "source": "",    "endpoint": "http://example.com",    "public_endpoint": "http://example.com",    "region": "string",    "bucket": "string",    "prefix": "string",    "force_path_style": true,    "credentials_set": true,    "last_tested_at": "2019-08-24T14:15:22Z"  }}